"export.data" <-
function(data, filename=character(0), filedir=character(0), filetitle=character(0)) {

   myname  <- character(0);
   mydir   <- character(0);
   mytitle <- character(0);

   if (is(data, "derivedClass")) {
      myname  <- as.character(data@myname);
      mydir   <- as.character(data@mydir);
      mytitle <- as.character(data@mytitle);
   } else {
      stop(paste("argument", sQuote("data"), "must be a class of type derivedClass"));
   }#if

   if (filename != myname) {
      warning(paste("argument", sQuote("filename"), "is not identical to myname"));
   }

   if (filedir != mydir) {
      warning(paste("argument", sQuote("filedir"), "is not identical to mydir"));
   }

   if (filetitle != mytitle) {
      warning(paste("argument", sQuote("filetitle"), "is not identical to mytitle"));
   }

   export.derived(data,filename, filedir, filetitle);
 
   return(TRUE);
}#export.data
